#pragma once

#include <string>

class FuelRecord {

public:

	std::string date;
	time_t date_time;
	double odo;
	double fuel_added;
	bool filled;
	std::string comment;

	std::string serialise();

	std::string validate();

	bool parse_failure(const char* warning);

	bool deserialise_from(FILE* f);

};
